// Code generated by go-swagger; DO NOT EDIT.

package models

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"context"
	"strconv"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
)

// ResourceVulnerabilityScan resource vulnerability scan
//
// swagger:model ResourceVulnerabilityScan
type ResourceVulnerabilityScan struct {

	// error
	Error *ScanError `json:"error,omitempty"`

	// package vulnerabilities
	PackageVulnerabilities []*PackageVulnerabilityScan `json:"packageVulnerabilities"`

	// resource
	Resource *ResourceInfo `json:"resource,omitempty"`

	// resource layer commands
	ResourceLayerCommands []*ResourceLayerCommand `json:"resourceLayerCommands"`

	// status
	Status ScanStatus `json:"status,omitempty"`
}

// Validate validates this resource vulnerability scan
func (m *ResourceVulnerabilityScan) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateError(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validatePackageVulnerabilities(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateResource(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateResourceLayerCommands(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateStatus(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *ResourceVulnerabilityScan) validateError(formats strfmt.Registry) error {
	if swag.IsZero(m.Error) { // not required
		return nil
	}

	if m.Error != nil {
		if err := m.Error.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("error")
			}
			return err
		}
	}

	return nil
}

func (m *ResourceVulnerabilityScan) validatePackageVulnerabilities(formats strfmt.Registry) error {
	if swag.IsZero(m.PackageVulnerabilities) { // not required
		return nil
	}

	for i := 0; i < len(m.PackageVulnerabilities); i++ {
		if swag.IsZero(m.PackageVulnerabilities[i]) { // not required
			continue
		}

		if m.PackageVulnerabilities[i] != nil {
			if err := m.PackageVulnerabilities[i].Validate(formats); err != nil {
				if ve, ok := err.(*errors.Validation); ok {
					return ve.ValidateName("packageVulnerabilities" + "." + strconv.Itoa(i))
				}
				return err
			}
		}

	}

	return nil
}

func (m *ResourceVulnerabilityScan) validateResource(formats strfmt.Registry) error {
	if swag.IsZero(m.Resource) { // not required
		return nil
	}

	if m.Resource != nil {
		if err := m.Resource.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("resource")
			}
			return err
		}
	}

	return nil
}

func (m *ResourceVulnerabilityScan) validateResourceLayerCommands(formats strfmt.Registry) error {
	if swag.IsZero(m.ResourceLayerCommands) { // not required
		return nil
	}

	for i := 0; i < len(m.ResourceLayerCommands); i++ {
		if swag.IsZero(m.ResourceLayerCommands[i]) { // not required
			continue
		}

		if m.ResourceLayerCommands[i] != nil {
			if err := m.ResourceLayerCommands[i].Validate(formats); err != nil {
				if ve, ok := err.(*errors.Validation); ok {
					return ve.ValidateName("resourceLayerCommands" + "." + strconv.Itoa(i))
				}
				return err
			}
		}

	}

	return nil
}

func (m *ResourceVulnerabilityScan) validateStatus(formats strfmt.Registry) error {
	if swag.IsZero(m.Status) { // not required
		return nil
	}

	if err := m.Status.Validate(formats); err != nil {
		if ve, ok := err.(*errors.Validation); ok {
			return ve.ValidateName("status")
		}
		return err
	}

	return nil
}

// ContextValidate validate this resource vulnerability scan based on the context it is used
func (m *ResourceVulnerabilityScan) ContextValidate(ctx context.Context, formats strfmt.Registry) error {
	var res []error

	if err := m.contextValidateError(ctx, formats); err != nil {
		res = append(res, err)
	}

	if err := m.contextValidatePackageVulnerabilities(ctx, formats); err != nil {
		res = append(res, err)
	}

	if err := m.contextValidateResource(ctx, formats); err != nil {
		res = append(res, err)
	}

	if err := m.contextValidateResourceLayerCommands(ctx, formats); err != nil {
		res = append(res, err)
	}

	if err := m.contextValidateStatus(ctx, formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *ResourceVulnerabilityScan) contextValidateError(ctx context.Context, formats strfmt.Registry) error {

	if m.Error != nil {
		if err := m.Error.ContextValidate(ctx, formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("error")
			}
			return err
		}
	}

	return nil
}

func (m *ResourceVulnerabilityScan) contextValidatePackageVulnerabilities(ctx context.Context, formats strfmt.Registry) error {

	for i := 0; i < len(m.PackageVulnerabilities); i++ {

		if m.PackageVulnerabilities[i] != nil {
			if err := m.PackageVulnerabilities[i].ContextValidate(ctx, formats); err != nil {
				if ve, ok := err.(*errors.Validation); ok {
					return ve.ValidateName("packageVulnerabilities" + "." + strconv.Itoa(i))
				}
				return err
			}
		}

	}

	return nil
}

func (m *ResourceVulnerabilityScan) contextValidateResource(ctx context.Context, formats strfmt.Registry) error {

	if m.Resource != nil {
		if err := m.Resource.ContextValidate(ctx, formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("resource")
			}
			return err
		}
	}

	return nil
}

func (m *ResourceVulnerabilityScan) contextValidateResourceLayerCommands(ctx context.Context, formats strfmt.Registry) error {

	for i := 0; i < len(m.ResourceLayerCommands); i++ {

		if m.ResourceLayerCommands[i] != nil {
			if err := m.ResourceLayerCommands[i].ContextValidate(ctx, formats); err != nil {
				if ve, ok := err.(*errors.Validation); ok {
					return ve.ValidateName("resourceLayerCommands" + "." + strconv.Itoa(i))
				}
				return err
			}
		}

	}

	return nil
}

func (m *ResourceVulnerabilityScan) contextValidateStatus(ctx context.Context, formats strfmt.Registry) error {

	if err := m.Status.ContextValidate(ctx, formats); err != nil {
		if ve, ok := err.(*errors.Validation); ok {
			return ve.ValidateName("status")
		}
		return err
	}

	return nil
}

// MarshalBinary interface implementation
func (m *ResourceVulnerabilityScan) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *ResourceVulnerabilityScan) UnmarshalBinary(b []byte) error {
	var res ResourceVulnerabilityScan
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}
